<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

	<parent>
		<groupId>org.josast</groupId>
		<artifactId>JOSAST-parent</artifactId>
		<version>0.0.2-SNAPSHOT</version>
	</parent>

	<modelVersion>4.0.0</modelVersion>

	<artifactId>ApplicationAmicalsat</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>11</maven.compiler.source>
		<maven.compiler.target>11</maven.compiler.target>
		
		
		<ModuleSoundModem.version>0.0.2-SNAPSHOT</ModuleSoundModem.version>
		<ModuleConfig.version> 0.2 </ModuleConfig.version>
		<ModuleAmicalsat.version>1.0-SNAPSHOT</ModuleAmicalsat.version>
	</properties>
	<dependencies>




		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-controls</artifactId>
			<version>13</version>
		</dependency>
		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-fxml</artifactId>
			<version>13</version>
		</dependency>
				<!-- https://mvnrepository.com/artifact/org.openjfx/javafx-swing -->
		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-swing</artifactId>
			<version>11-ea+24</version>
		</dependency>
		

		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleSIDS</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleSoundModem</artifactId>
			<version>${ModuleSoundModem.version}</version>
		</dependency>
		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleConfig</artifactId>
			<version>${ModuleConfig.version}</version>
		</dependency>
		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleAmicalsat</artifactId>
			<version>${ModuleAmicalsat.version}</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.8.0</version>
				<configuration>
					<release>11</release>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.openjfx</groupId>
				<artifactId>javafx-maven-plugin</artifactId>
				<version>0.0.4</version>
				<configuration>
					<mainClass>org.josast.ApplicationAmicalsat.App</mainClass>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>